/***************************************************************************
 *   Copyright (C) 2006 by Gustavo Pichorim Boiko   *
 *   boiko@mandriva.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TEXT_H
#define TEXT_H

#include "textwidget.h"
#include "themeobject.h"

/**
	@author Gustavo Pichorim Boiko <boiko@mandriva.com>
*/
class Text : public TextWidget, public ThemeObject
{
Q_OBJECT
public:
    Text(KConfig *cfg, const QString &path, const QString &name);

    ~Text();
    /**
     * Reimplemented from parent
     * @see ThemeObject::objectType()
     */
    Theme::ObjectType objectType() { return Theme::TextObj; }
    
    virtual void draw(QPainter *p, QRect rect);
};

#endif
