/***************************************************************************
 *   Copyright (C) 2006 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "image.h"

#include <kdebug.h>
#include <kconfig.h>

Image::Image(KConfig *cfg, const QString &path, const QString &name)
 : PixmapWidget(), ThemeObject(cfg, path, name)
{
    QPixmap pixmap(path + "/" + cfg->readEntry("Pixmap", QString::null));
    setPixmap(pixmap);
}


Image::~Image()
{
}

void Image::draw(QPainter *p, QRect rect)
{
    paint(p, rect);
}

#include "image.moc"
